Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://www.anyfast.ai/v1beta/models/gemini-2.0-flash:generateContent \ --header 'Content-Type: application/json' \ --data ' { "contents": [ { "role": "user", "parts": [ { "text": "Change the background to blue sky with clouds" }, { "inline_data": { "mime_type": "image/png", "data": "BASE64_IMAGE_DATA" } } ] } ], "generationConfig": { "responseModalities": [ "IMAGE" ] } } '
{ "candidates": [ { "content": { "parts": [ { "inline_data": { "mime_type": "image/png", "data": "iVBORw0KGgo..." }, "text": "<string>" } ], "role": "model" }, "finishReason": "STOP" } ], "usageMetadata": { "promptTokenCount": 123, "candidatesTokenCount": 123, "totalTokenCount": 123 } }
Edit images using Gemini model.
API Key
Array of contents with editing instructions and source images.
Show child attributes
[ { "role": "user", "parts": [ { "text": "Change the background to blue sky with clouds" }, { "inline_data": { "mime_type": "image/png", "data": "BASE64_IMAGE_DATA" } } ] }]
Image edited successfully
Was this page helpful?